#!/bin/bash
for ((i=1;i<=3;i=$i+1)) 
do
   rm -rf $i
   mkdir $i
   cp CONTCAR $i
   cd $i
   lx1=`awk '{a=NR;if(a==3){printf "%.10f",$1}}' CONTCAR`
   lx2=`awk '{a=NR;if(a==3){printf "%.10f",$2}}' CONTCAR`
   ly1=`awk '{a=NR;if(a==4){printf "%.10f",$1}}' CONTCAR`
   ly2=`awk '{a=NR;if(a==4){printf "%.10f",$2}}' CONTCAR`
       a=$(echo "$lx1*(0.995+$i*0.0025)"|bc)
       b=$(echo "$lx2*(0.995+$i*0.0025)"|bc)
       c=$(echo "$ly1*(0.995+$i*0.0025)"|bc)
       d=$(echo "$ly2*(0.995+$i*0.0025)"|bc)
       x=""$a"    "$b"    0.0000000000000000"
       y=""$c"    "$d"    0.0000000000000000"
       sed '4d' CONTCAR > TEMP
       sed '3a \'"${y}"'' TEMP > POSCAR
       rm -rf TEMP
       sed '3d' POSCAR > TEMP
       sed '2a \'"${x}"'' TEMP > POSCAR
       rm -rf TEMP
   cd ../
 done

